Subject: Re: bug#58992: 28.2; "lax space matching" no longer works

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Nov 2022 13:45:35 +0200

> Date: Fri, 4 Nov 2022 11:15:13 +0100
> From: Vincent Lefevre <[email-masked]>
> Cc: [email-masked]
> 
> > > The [[:space:]\n]+ in the doc is misleading. Since a newline character
> > > is a whitespace, [[:space:]]+ is sufficient.
> > 
> > That is only true in major modes where the newline has the
> > "whitespace" syntax, see the description of [:space:] in the ELisp
> > manual.  I guess you tried this in Fundamental mode or somesuch?
> 
> Wow! This is really confusing! [:space:] is defined by POSIX, and the
> manual even refers to it:
> 
>     A character alternative can also specify named character classes
>     (*note Char Classes::).  This is a POSIX feature.  [...]
> 
> You must not change its behavior! Making it depend on the major mode
> is even worse.

Too late for such changes, sorry.  Emacs interprets [:space:] like
that since at least Emacs 22, if not before.